aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar Klaus Aehlig <aehlig@google.com>2016-12-21 12:55:47 +0000
committerGravatar Klaus Aehlig <aehlig@google.com>2016-12-21 12:59:49 +0000
commit5b749bfb812a69c178bc03d5a4a2a7236ee241b4 (patch)
tree9fb05b3c5db2c4277732906550f1549d73da46d3
parent48513d71e552e590d71c6f4337d07c52ff799d55 (diff)
fix use of test: && is a GNU extension
-- Change-Id: I7a88e72ac6645b17a89b4cee038e06f6ffda1df9 Reviewed-on: https://cr.bazel.build/8041 PiperOrigin-RevId: 142652919 MOS_MIGRATED_REVID=142652919
-rwxr-xr-xsrc/test/shell/bazel/bazel_toolchain_test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/test/shell/bazel/bazel_toolchain_test.sh b/src/test/shell/bazel/bazel_toolchain_test.sh
index 880c5a48ff..c3c28d10ab 100755
--- a/src/test/shell/bazel/bazel_toolchain_test.sh
+++ b/src/test/shell/bazel/bazel_toolchain_test.sh
@@ -22,7 +22,7 @@ CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
source "${CURRENT_DIR}/../integration_test_setup.sh" \
|| { echo "integration_test_setup.sh not found!" >&2; exit 1; }
-if ! [ "${PLATFORM-}" = "linux" && "${MACHINE_TYPE}" = "x86_64" ]; then
+if ! [ "${PLATFORM-}" = "linux" -a "${MACHINE_TYPE}" = "x86_64" ]; then
echo "Skipping test: linaro toolchain is not supported on this platform"
exit 0
fi